<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_ca8856aa9ac8f3094747f3fffad9" . "32c0" => base64_decode("dmFyaWFi" . "bGUg"));
class NameNode extends Node
{
    protected $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_ca8856aa9ac8f" . "3094747f3fffad" . "932c0"] . $this->name;
    }
    public function VariableName() : string
    {
        return $this->name;
    }
}